| Qore FsUtil Module Reference 1.1

Public Member Functions | List of all members
FsUtil::TmpFile Class Reference

Class implementing a user friendly temporary file creation; the file is removed in the destructor. More...

## Public Member Functions
| constructor (*string prefix, *string suffix, *string path)
| Creates and opens a unique temporary file and returns its absolute path as well as its File object. More...

## Detailed Description

Class implementing a user friendly temporary file creation; the file is removed in the destructor.

## Member Function Documentation

## ◆ constructor()

FsUtil::TmpFile::constructor | ( | *string | prefix,
|  | *string | suffix,
|  | *string | path
| ) |  |

Creates and opens a unique temporary file and returns its absolute path as well as its File object.

Parameters

  prefix | prefix to be used in the newly created file name
  suffix | suffix to be used in the newly created file name
  path | path to a dir in which the caller wants to create the new file; if not provided, standard temp location will be used